Debian Bug report logs - #476835
aptitude: Small layout problem in description of "why" command

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Jacobo Tarrio <jtarrio@trasno.net>

Date: Sat, 19 Apr 2008 13:27:02 UTC

Severity: minor

Tags: patch

Found in version aptitude/0.4.11.2-1

Fixed in version aptitude/0.4.11.3-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#476835; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Jacobo Tarrio <jtarrio@trasno.net>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jacobo Tarrio <jtarrio@trasno.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: Small layout problem in description of "why" command
Date: Sat, 19 Apr 2008 14:21:53 +0100
[Message part 1 (text/plain, inline)]
Package: aptitude
Version: 0.4.11.2-1
Severity: minor
Tags: patch

 Translation update that assumes this patch has been applied is coming in a
subsequent bug report.

-- Package-specific info:
aptitude 0.4.11.2 compiled at Apr 12 2008 04:21:26
Compiler: g++ 4.2.3 (Debian 4.2.3-3)
Compiled against:
  apt version 4.6.0
  NCurses version 5.6
  libsigc++ version: 2.0.18
  Ept support enabled.

Current library versions:
  NCurses version: ncurses 5.6.20080405
  cwidget version: 0.5.11
  Apt version: 4.6.0
	linux-gate.so.1 =>  (0xffffe000)
	libapt-pkg-libc6.7-6.so.4.6 => /usr/lib/libapt-pkg-libc6.7-6.so.4.6 (0xb7e2e000)
	libncursesw.so.5 => /lib/libncursesw.so.5 (0xb7df2000)
	libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0xb7dec000)
	libcwidget.so.3 => /usr/lib/libcwidget.so.3 (0xb7cfc000)
	libept.so.0 => /usr/lib/libept.so.0 (0xb7c84000)
	libxapian.so.15 => /usr/lib/libxapian.so.15 (0xb7b11000)
	libz.so.1 => /usr/lib/libz.so.1 (0xb7afb000)
	libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb7ae3000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb79f6000)
	libm.so.6 => /lib/i686/cmov/libm.so.6 (0xb79d1000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb79c4000)
	libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb7876000)
	libutil.so.1 => /lib/i686/cmov/libutil.so.1 (0xb7871000)
	libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xb786d000)
	/lib/ld-linux.so.2 (0xb7f0e000)
Terminal: xterm
$DISPLAY is set.
`which aptitude`: /usr/bin/aptitude
aptitude version information:

aptitude linkage:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-k7 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6. 0.7.11            Advanced front-end for dpkg
ii  libc6                  2.7-10            GNU C Library: Shared libraries
ii  libcwidget3            0.5.11-1          high-level terminal interface libr
ii  libept0                0.5.17            High-level library for managing De
ii  libgcc1                1:4.3.0-3         GCC support library
ii  libncursesw5           5.6+20080405-1    Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a     2.0.18-2          type-safe Signal Framework for C++
ii  libstdc++6             4.3.0-3           The GNU Standard C++ Library v3
ii  libxapian15            1.0.5-1           Search engine library
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages aptitude recommends:
pn  aptitude-doc-en | aptitude-do <none>     (no description available)
ii  libparse-debianchangelog-perl 1.1.1-2    parse Debian changelogs and output

-- no debconf information
[diffmain.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#476835; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 476835@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Jacobo Tarrio <jtarrio@trasno.net>, 476835@bugs.debian.org
Subject: Re: Bug#476835: aptitude: Small layout problem in description of "why" command
Date: Sun, 20 Apr 2008 08:27:11 -0700
  Thanks for the patch.  Unfortunately aptitude is in a string freeze
right now, so I can't apply it (it'll break all the other translations).

  Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#476835; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Jens Seidel <jensseidel@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #15 received at 476835@bugs.debian.org (full text, mbox):

From: Jens Seidel <jensseidel@users.sf.net>
To: Jacobo Tarrio <jtarrio@trasno.net>, 476835@bugs.debian.org
Subject: Re: Bug#476835: aptitude: Small layout problem in description of "why" command
Date: Sun, 20 Apr 2008 18:23:13 +0200
tags 476835 + pending
thanks

On Sat, Apr 19, 2008 at 02:21:53PM +0100, Jacobo Tarrio wrote:
> Package: aptitude
> Version: 0.4.11.2-1
> Severity: minor
> Tags: patch
> 
>  Translation update that assumes this patch has been applied is coming in a
> subsequent bug report.

> diff -r 2783dc8ce308 src/main.cc
> --- a/src/main.cc	Wed Apr 16 13:20:41 2008 +0200
> +++ b/src/main.cc	Sat Apr 19 14:14:22 2008 +0100
>    printf(_(" why          - Show the manually installed packages that require a package, or\n"
> -           "              - why one or more packages would require the given package\n"));
> +           "                why one or more packages would require the given package\n"));

Applied. Thanks,

Jens




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#476835; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Jens Seidel <jensseidel@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #20 received at 476835@bugs.debian.org (full text, mbox):

From: Jens Seidel <jensseidel@users.sf.net>
To: 476835@bugs.debian.org
Cc: Jacobo Tarrio <jtarrio@trasno.net>
Subject: Re: Bug#476835: aptitude: Small layout problem in description of "why" command
Date: Sun, 20 Apr 2008 19:03:49 +0200
On Sun, Apr 20, 2008 at 08:27:11AM -0700, Daniel Burrows wrote:
>   Thanks for the patch.  Unfortunately aptitude is in a string freeze
> right now, so I can't apply it (it'll break all the other translations).

Don't worry, Daniel. I unfuzzied all translations once I committed it
and will do so with further translation updates against older PO files
as well.

Considering that Jacobo didn't reported another minor typo with the
previous patch one or two weeks ago I'm very happy he send a patch for
the current issue.

Jens




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#476835; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #25 received at 476835@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Jens Seidel <jensseidel@users.sf.net>, 476835@bugs.debian.org
Cc: Jacobo Tarrio <jtarrio@trasno.net>
Subject: Re: Bug#476835: aptitude: Small layout problem in description of "why" command
Date: Sun, 20 Apr 2008 10:38:54 -0700
On Sun, Apr 20, 2008 at 07:03:49PM +0200, Jens Seidel <jensseidel@users.sf.net> was heard to say:
> On Sun, Apr 20, 2008 at 08:27:11AM -0700, Daniel Burrows wrote:
> >   Thanks for the patch.  Unfortunately aptitude is in a string freeze
> > right now, so I can't apply it (it'll break all the other translations).
> 
> Don't worry, Daniel. I unfuzzied all translations once I committed it
> and will do so with further translation updates against older PO files
> as well.
> 
> Considering that Jacobo didn't reported another minor typo with the
> previous patch one or two weeks ago I'm very happy he send a patch for
> the current issue.

  Ah, OK.  I don't know if you've figured this out yet, but I'm a little
afraid of blowing up the translations by accident -- Christian has
trained me to step lightly around them. :-)

  Daniel




Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jacobo Tarrio <jtarrio@trasno.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 476835-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 476835-close@bugs.debian.org
Subject: Bug#476835: fixed in aptitude 0.4.11.3-1
Date: Tue, 27 May 2008 05:32:04 +0000
Source: aptitude
Source-Version: 0.4.11.3-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.4.11.3-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.4.11.3-1_i386.deb
aptitude-doc-cs_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.11.3-1_all.deb
aptitude-doc-en_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.11.3-1_all.deb
aptitude-doc-fi_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.11.3-1_all.deb
aptitude-doc-fr_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.11.3-1_all.deb
aptitude-doc-ja_0.4.11.3-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.4.11.3-1_all.deb
aptitude_0.4.11.3-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.11.3-1.diff.gz
aptitude_0.4.11.3-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.11.3-1.dsc
aptitude_0.4.11.3-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.11.3-1_i386.deb
aptitude_0.4.11.3.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.11.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 476835@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 26 May 2008 21:25:26 -0700
Source: aptitude
Binary: aptitude aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source all i386
Version: 0.4.11.3-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 333468 475740 476344 476732 476749 476835 476837 477165 477295 480062 480063 480533 481007 481458
Changes: 
 aptitude (0.4.11.3-1) unstable; urgency=low
 .
   * New upstream release.
 .
     - "aptitude unhold" should work now. (Closes: #477165)
 .
     - Fixed almost complete breakage of "aptitude changelog". (Closes: #481458)
 .
     - Fixed retrieving the changelogs of bin-nmued packages from the curses
       interface. (Closes: #333468)
 .
     - Always be at least as quiet as the user requested that we be.
       (Closes: #476749)
 .
     - Remove a stray hyphen in the output of --help. (Closes: #476835)
 .
     - Fix the manpage to talk about Recommends-Important instead of
       Install-Recommends. (Closes: #480533)
 .
     - Translation updates:
       * Brazilian Portuguese (Closes: #481007)
       * Danish (Closes: #476732)
       * French
       * Galician (Closes: #476837)
       * German (Closes: #476344)
       * Japanese
       * Norwegian Bokmal (Closes: #480063)
       * Polish (Closes: #480062)
       * Simplified Chinese (Closes: #475740)
       * Vietnamese (Closes: #477295)
Checksums-Sha1: 
 b270ad157453d8f2035487ec9dd4af367bf9c4dc 1382 aptitude_0.4.11.3-1.dsc
 86b6efce71f3a5fc2663e0729d6e1bf1a68077e7 5664563 aptitude_0.4.11.3.orig.tar.gz
 f014abb222ab31eba1f409d0617b8f5220ddf1c1 34921 aptitude_0.4.11.3-1.diff.gz
 22d945b681f117c9b1261b5a035011701793384d 344616 aptitude-doc-cs_0.4.11.3-1_all.deb
 b38d3148fe0ca12634c9a8ec30cd6aa5f16735d5 352134 aptitude-doc-en_0.4.11.3-1_all.deb
 3a66687fe4091e8cfc62b5c5391fff646c1ccef1 263082 aptitude-doc-fi_0.4.11.3-1_all.deb
 d64410f7c9d9d688652cfdd181f2ff93ec778a78 297042 aptitude-doc-fr_0.4.11.3-1_all.deb
 c3b092a924db6d6f75f4b8245cde32da80178317 362578 aptitude-doc-ja_0.4.11.3-1_all.deb
 ca72c69889a499fae0537363d5f213861e45362a 2837896 aptitude_0.4.11.3-1_i386.deb
 0c5443e1fbe4920a041e5032bc9db12b79e25eb8 6749638 aptitude-dbg_0.4.11.3-1_i386.deb
Checksums-Sha256: 
 7303f8a539492b0888aaf74d82de7ba44f01ae3ffddc0dca34639ff4ade32214 1382 aptitude_0.4.11.3-1.dsc
 cf9ed9b0087f669b0a16d068211660118f17f68c979451880753b95d4a57a6e3 5664563 aptitude_0.4.11.3.orig.tar.gz
 ee0d797baefb2809bc8f961bb2f774b4fa9bf0e0af92c6a15a2369b760e14c7c 34921 aptitude_0.4.11.3-1.diff.gz
 9a0ff8c4fc9ed7332cd87f92d9c6d6b9e7041b9c4c6a24d5bb0e240c04e44efc 344616 aptitude-doc-cs_0.4.11.3-1_all.deb
 c93481a19737d049a963abd9910d634487e40e8fe73534c98d89ab95413ae1b0 352134 aptitude-doc-en_0.4.11.3-1_all.deb
 a52f9b402b629401954888ac52f39f5235f75b07a51d25b99ac6f2cb4f530789 263082 aptitude-doc-fi_0.4.11.3-1_all.deb
 8d13ed90dd02e350ee227abe700c00b49a903307d7474eb4bc716f566eedbab2 297042 aptitude-doc-fr_0.4.11.3-1_all.deb
 c83f45e73ea0d15b590de06c31cad63d1fd6112e28da37968683292fdd979509 362578 aptitude-doc-ja_0.4.11.3-1_all.deb
 c2101de9b4110117dbe47556681f21c5e06c90fa943b2a8a18a4a6e5edc61ae1 2837896 aptitude_0.4.11.3-1_i386.deb
 de306d430effc4e3a56e9a881f6acc2037fc2c9720a41769cce0abc8fabf6540 6749638 aptitude-dbg_0.4.11.3-1_i386.deb
Files: 
 50725fb7256815550bda6e409543aab2 1382 admin - aptitude_0.4.11.3-1.dsc
 834eddf27d6c58454142f3ce5d73ee83 5664563 admin - aptitude_0.4.11.3.orig.tar.gz
 954f7aad7b1183f21f9686a2341ec021 34921 admin - aptitude_0.4.11.3-1.diff.gz
 c1ee3d1a199f8e2e357f526890e8ae62 344616 doc optional aptitude-doc-cs_0.4.11.3-1_all.deb
 3a186fc39565289556ceb545da585b33 352134 doc optional aptitude-doc-en_0.4.11.3-1_all.deb
 6c1c0eb5b75ba927cf7db049add26822 263082 doc optional aptitude-doc-fi_0.4.11.3-1_all.deb
 d2948b257523b03edd72c8d1d0f677aa 297042 doc optional aptitude-doc-fr_0.4.11.3-1_all.deb
 288f429d5e545c0f523ae65e4fea8c1b 362578 doc optional aptitude-doc-ja_0.4.11.3-1_all.deb
 9cd9def7c169fe088eb436fb9c370bd2 2837896 admin important aptitude_0.4.11.3-1_i386.deb
 98c2e231882bf0831db1b117574cc19f 6749638 devel extra aptitude-dbg_0.4.11.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIO5vIch6xsM7kSXgRAmsNAJ9oYuR219IJXqUp8Cp7VI1UqchqNgCg8VET
LEjOmb/kA7Pg+udGOe8L8tM=
=J/T+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 Jul 2008 07:30:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:18:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.